<%--
  - Author(s)  : Hyung min Son
  - Date       : 2014.07.02
  - Description: 기술문서 등록
  --%>
  
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ page import="com.udapsoft.waf.common.ui.InitCombo" %>
<%@ page import="kr.co.udapsoft.common.code.CommCodeManager" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    
	//공통코드
	CommCodeManager commCodeManager = new CommCodeManager();
	InitCombo initCombo = new InitCombo();

	initCombo.makeComboData(commCodeManager.getCodeRowSet("BID_CHK_YN"), "NAME", "CODE");
	String BID_CHK_CD = initCombo.getCode();
	String BID_CHK_NM = initCombo.getCodeName();
	
	initCombo = new InitCombo();

	initCombo.makeComboData(commCodeManager.getCodeRowSet("JOB_DIV","1","1"), "DETAILSORTNM", "CHG_CODE01");
	String JOB_DIV_CD = initCombo.getCode();
	String JOB_DIV_NM = initCombo.getCodeName();
%>
<SCRIPT language="JavaScript">
	/*예약함수*/
	var sheet1 = new ibsheetObject();
	var sheet1Row;
	var sheet1PageNo = 1;
	var pageLastRowIndex = 1;
	var validationResult = false;
	var filterShow = false;
	
	function _onReady(){
		/**
		 *	IBSheet object initialize
		 */
		gridInit(sheet1);
		
		
		/**
		 *	Application Initialize
		 */
		jQuery("#btnSearch").click(function() {
			jQuery("#fevent").val("SHEET_SELECT");
			var url = Modular.model.PageContext.CONTEXT_ROOT + "/portal/bid/TBERequestList_sheet.screen";
			Modular.view.IBSheet7.doSearch(sheet1, url, jQuery("#form1"), 30, "");
		});
		
		$("#P_BID_MASTER_NM").keydown(function (event){
			var keycode = (event.keyCode ? event.keyCode : event.which);
			if(keycode == 13){
				$("#btnSearch").click();
			}
		});
		autoResize();
//		$("#P_STATUS").change(function(){$("#btnSearch").click();});
		$("#btnSearch").click();
		$("#dataClear").click(function(){$("#SITEDESC_FROM_DT").val("");$("#SITEDESC_TO_DT").val("");});
	}
	
	/**
	 *	IBSheet object initialize
	 */
	function gridInit(sheetName){
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, Page:30};

			init_sheet.Cols = [
			       			{Header:'Del',					Type:"DelCheck",		SaveName:"DEL_CHECK", 					Width:50, 			Align:"Center",		Hidden:"True"},
			    			{Header:'Status',				Type:"Status", 		SaveName:"STATUS", 						Width:0, 			Align:"Center",		Hidden:"True"},
			    			{Header:'No.',					Type:"Seq", 			SaveName:"NO",								Width:0, 			Align:"Center",		Hidden:"True"},
			    			{Header:'현장',					Type:"Text", 			SaveName:"DEPT_NM", 						Width:160, 			Align:"Left"},
			    			{Header:'업무구분',				Type:"Combo", 		SaveName:"DEMANDED_KIND", 			Width:60, 			Align:"Center",		ComboText:"<%=JOB_DIV_NM%>", ComboCode:"<%=JOB_DIV_CD%>"},
			    			{Header:'입찰번호',				Type:"Text", 			SaveName:"BID_NO", 						Width:140, 			Align:"Center"},
			    			{Header:'차수',					Type:"Text", 			SaveName:"BID_DEG", 						Width:30, 			Align:"Center"},
			    			{Header:'☞입찰공고명',			Type:"Text", 			SaveName:"BID_MASTER_NM", 			Width:250, 			Align:"Left",			Cursor:"pointer"},
			    			{Header:'심사자',				Type:"Text", 			SaveName:"EVAL_EMPNM", 				Width:0, 			Align:"Center"},
			    			{Header:'기술문서 완료예정일',		Type:"Text", 			SaveName:"SUPP_REQ_DY", 				Width:0, 			Align:"Center"},
			    			{Header:'연기',					Type:"Combo", 		SaveName:"POSTPONE_YN", 				Width:30, 			Align:"Center",		ComboText:"<%=BID_CHK_NM%>", ComboCode:"<%=BID_CHK_CD%>"},
			    			{Header:'정정',					Type:"Combo", 		SaveName:"MODIFY_YN", 					Width:30, 			Align:"Center",		ComboText:"<%=BID_CHK_NM%>", ComboCode:"<%=BID_CHK_CD%>"},
			    			{Header:'상태',					Type:"Text", 			SaveName:"TBE_STATUS_NM",			Width:60, 			Align:"Center"},
			    			{Header:'DEMANDED_ID',	Type:"Text", 			SaveName:"DEMANDED_ID",				Width:0, 			Align:"Center",		Hidden:"True"},
			];
		//2017.03.06 기술문서 요청일->기술문서 완료예정일

		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheetName, init_sheet);
		sheetName.SetDataAutoTrim(0);
		sheetName.SetEditable(false);
		sheetName.SetActionMenu("ExcelDown");
		setGridSize();
	}

	function sheet1_OnSelectMenu(Text, Code) {
		  // text 또는 code값으로 Action수행
		switch(Text) {
	         case "ExcelDown":
	        	sheetExcelDown(sheet1,$('li').html());
	            break; 
		}
	}

	/**
	 *	IBSheet Event: Search End(IBSheet 데이터 조회 CallBack)
	 */
	function sheet1_OnSearchEnd(code, message) {
	    if(code == 0) {
	    	sheet1.SetColFontColor("BID_MASTER_NM", "#0000ff");
	    	sheet1.SetColFontColor("POSTPONE_YN", "#ff0000");
	    	sheet1.SetColFontColor("MODIFY_YN", "#ff0000");
	    	setGridSize();
		} else {
			//조회 에러 수행
			alert(message);
		}
	}
	
	/**
	 *	IBSheet Event: Click
	 */
	function sheet1_OnDblClick(Row, Col, Value, CellX, CellY, CellW, CellH) {
		 if(Row == 0)return;
		 if (Col == 7) {
				$("#BID_NO").val(sheet1.GetCellValue(Row, "BID_NO"));
				$("#BID_DEG").val(sheet1.GetCellValue(Row, "BID_DEG"));
				$("#DEMANDED_ID").val(sheet1.GetCellValue(Row, "DEMANDED_ID"));
				$("#fevent").val("FORM_SELECT");
				$("#form1").attr("action", "/portal/bid/TBERequest.screen");
				$("#form1").attr("target", "_self");
				$("#form1").attr("method", "post");
				$("#form1").submit();
			}
	}
	
	/**
	 *	IBSheet size setting
	 */
	function setGridSize() {
		sheet1.FitColWidth();
	}
	
	
	function sheet1_OnSmartResize(Width, Height) { 
		setGridSize();
		autoResize();
	}

	function autoResize(){
		var t1_height = document.getElementById("search-table").scrollHeight + document.getElementById("title").scrollHeight + 24;
		var iframeHeight= document.body.scrollHeight - t1_height;   
		var iframeWidth= document.body.scrollWidth;   
		sheet1.SetSheetHeight(iframeHeight);
	}
	

</SCRIPT>


<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>
<BODY onresize="autoResize()" >
<form id="form1" name="form1" method="post" modular:type="search">
<TABLE id="t1" border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">

<INPUT type="hidden" name="p_user_sabun" value="">
<INPUT type="hidden" name="fevent" id="fevent" value="">
<INPUT type="hidden" name="BID_NO" value="">
<INPUT type="hidden" name="BID_DEG" value="">
<INPUT type="hidden" name="P_DEMANDED_KIND" value="O">
<INPUT type="hidden" name="p_tel_no" value="">
<INPUT type="hidden" name="p_hand_tel_no" value="">
<INPUT type="hidden" name="VENDOR_CD" value="<%=user.get("CORP_ID")%>">
<INPUT type="hidden" name="p_user_name" value="">
<INPUT type="hidden" name="DEMANDED_ID" value="">

<INPUT type="hidden" name="j_usertype" value="head">
<input type='hidden' name='login_id' >
<input type='hidden' name='login_pw' >
<INPUT type="hidden" name="j_admin_login_gb" value="Y">

<div align="left" id="title" >
    <ul><li>기술검토자료 제출</li></ul>
</div>

<!-- 검색조건 영역 : 시작 -->
<TR><TD height="1">
<table id="search-table" class="search-form-table" >
	<colgroup>
		<col width="100px" />
		<col width="40%"/>
		<col width="100px" />
		<col/>
		<col width="80px" />
	</colgroup>
	<tr>
		<th>입찰공고명</th>
		<td >
	   		<%= InputText.get("P_BID_MASTER_NM", "", 98, 50, "hangule, desc=입찰공고명, PerSize") %>
		</td>
		<th>마감일자</th>
		<td>
			<%= InputText.get("SITEDESC_FROM_DT", "", 8, 50, "hangule,center, desc=마감일자,ReadOnly") %>
			<IMG name="start_img" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('SITEDESC_FROM_DT');">
						~
			<%= InputText.get("SITEDESC_TO_DT", "", 8, 50, "hangule,center, desc=마감일자,ReadOnly") %>
			<IMG name="start_img" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('SITEDESC_TO_DT');">
			<IMG name="dataClear" id="dataClear" src="/img/buyer/button/bt_eraser1.gif" border="0" align="absmiddle" style="cursor:pointer;">
		</td>
		<td class="button" rowspan="2">
			<span class="btnSearch center" id="btnSearch"><a href="javascript:void(0);">검색</a></span>
		</td>
	</tr>
	<tr>
		<th>상태</th>
		<td colspan="3">
		<%=CommCodeManager.getSelectCodeSearchList("TBE_SUPP_STATUS_CD","P_STATUS","height=18;width:80px;","<option value=''>--전체--</option>",params.get("P_STATUS"),"","DETAILCD") %>
		</td>
	</tr>
</table>
</TD></TR>
<!-- 검색조건 영역 : 종료 -->

<!-- 검색조건 영역, 테이터 영역 구분 여백 : 시작 -->
<TR><TD height="1">
<TABLE border="0" cellspacing="0" cellpadding="0" class="search_data_div_height">
<TR><TD></TD></TR>
</TABLE>
</TD></TR>
<!-- 검색조건 영역, 테이터 영역 구분 여백 : 종료 -->
</TABLE>
<div id="sheet1_div" style="padding-top:5px;height: auto; min-height: 350px; overflow: auto;">
	<script>createIBSheet('sheet1','100%', '350px');</script>
</div>
</FORM>